Subject: RE: [VRRP] MIB work

From: <[email-masked]>
Date: Wed, 3 Sep 2003 13:13:20 -0700

[ post by non-subscriber.  with the massive amount of spam, it is easy to miss
  and therefore delete posts by non-subscribers.  if you wish to regularly
  post from an address that is not subscribed to this mailing list, send a
  message to <listname>[email-masked] and ask to have the alternate
  address added to the list of addresses from which submissions are
  automatically accepted. ]

Opps sorry about the misspelling Bert.

Yes I agree that my conclusion was wrong, it was based on the "The=20
problems have not been addressed and a new MIB should  be defined." I =
assumed that "New" means a separate mib for IPv6 support.=20

I haven't yet received a reply from the authors on what there=20
opinion or suggestion is based on the vrrp situation.
I was hoping that they will have a better picture having looked at=20
various protocols that have IP version dependencies. we probably should
come up with general guidelines while defining MIBs with IP version =
dependencies. As can be seen from the survey ID, there are a number of=20
to be addressed MIBs.=20

On the question of one MIB vs two MIBs :
I think ICMP faced the same problem as VRRP when defining the MIB for =
ICMPv6. Both these are IP version specific and look almost the same, =
have the same statistics etc.
Again, I am not saying that we should follow what the folks at ICMPv6
did, we can use the thinking process and see is it "makes sense".

RFC2466 defines the MIB for ICMPv6
RFC2011 for IP MIB.

thanks
kalyan

-----Original Message-----
From: ext Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: 03 September, 2003 03:23
To: Tata Kalyan (NIC/MtView); [email-masked]
Cc: [email-masked]
Subject: RE: [VRRP] MIB work

Kalyan =20

MMM... you seem to keep calling me Bret, while it is Bert.
I am not offended, just noticed.

Inline

Thanks,
Bert=20

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: woensdag 3 september 2003 4:01
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [VRRP] MIB work
>=20
>=20
> Hi Bret,=20
> 	Thanks for the pointer. Browsing through the ID, it looks like they=20
> 	are proposing two different MIBs too. I contacted the authors about
> 	their input on the pending one MIB vs two MIBs issue.=20
> =09
I do not thing that they are proposing two MIB modules.
They say:
  -   Thus, changes will be required for this MIB to interoperate in an
      IPv6 environment.
  -   The problems have not been addressed and a new MIB should=20
      be defined.

Maybe you conclude from that second bullet that they propose a 2nd MIB.
But I do not think that is the intention. A "new mib module" could
either be:
  - a complete replacement that includes both IPv4 and IPv6 support
  - a complete replacement that adds IPv6 support to current module
  - indeed a 2nd MIB module for IPv6 only.

It is up to the WG (with MIB dcotor help maybe) to decide what the
best path forward would be.

Bert
> Thanks
> kalyan
>=20
> -----Original Message-----
> From: ext Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: 01 September, 2003 06:53
> To: [email-masked]
> Cc: [email-masked]
> Subject: [VRRP] MIB work
>=20
>=20
> Pls take a look (and comment if needed) on
>   draft-ietf-v6ops-ipv4survey-ops-02.txt
>=20
> A few snippets
>=20
>   ... snip ..
>=20
>   5.099 RFC 2787 Definitions of Managed Objects for the Virtual
>         Router Redundancy Protocol
>=20
>     As stated in the Overview section:
>=20
>     Since the VRRP protocol is intended for use with IPv4=20
> routers only,
>     this MIB uses the SYNTAX for IP addresses which is=20
> specific to IPv4.
>     Thus, changes will be required for this MIB to interoperate in an
>     IPv6 environment.
>=20
>   ... snip ...
>=20
>   7.3.27  VRRP MIB (RFC 2787)
>=20
>   The problems have not been addressed and a new MIB should=20
> be defined.
>=20
>   .. snip ..
>=20
> I have told them that you are working on it, but you may want to keep
> an eye on the survey doc as well.
>=20
> Thanks,
> Bert=20
>=20
> _______________________________________________
> vrrp mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/vrrp
>=20